Subject: bug#46669: Godot fails to start

From: Leo Famulari <[email-masked]>
Date: Wed, 24 Feb 2021 12:03:19 -0500

On Sun, Feb 21, 2021 at 10:05:53AM +0100, Maxime Devos wrote:
> Is there any reason the ("libx11" ,libx11) cannot simply be replaced with
> ("libx11" ,libx11-fixed) in the package inputs for godot, where libx11 is
> the updated libx11?  Or alternatively, could the ‘grafts’ mechanism be used?
> Or is that reserved for security updates?

It's reserved for security updates, and other very serious problems. An
incompatibility with a single package — especially something
non-critical like a game engine — does not qualify.

One reason to limit the use of grafts is that they can mask other
compatibility problems. For example, we grafted FreeType in October
2020. In December, we "ungrafted" it, and this revealed that the new
grafted version of FreeType had never worked with our VTK package. But,
since we were still compiling VTK with the old FreeType, and then
patching the compiled VTK objects to refer to the new FreeType, the
problem was hidden for several months:

https://lists.gnu.org/archive/html/guix-devel/2021-01/msg00292.html